# norootforbuild

%bcond_with restricted

Name:		deadbeef
Version:	0.5.1
Release: 	1.pm.4.7
Summary: 	GTK2 audio player
Group:		Productivity/Multimedia/Sound/Players
License: 	GPL
URL: 		http://deadbeef.sourceforge.net/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
Source0: 	%name-%version.tar.bz2
Patch1:		%{name}-0.5.0-fix-return-values.patch
Patch2:		%{name}-0.5.0-fix-strcmp.patch
BuildRequires: 	gtk2-devel libsamplerate-devel alsa-devel libvorbis-devel libcurl-devel
BuildRequires: 	flac-devel wavpack-devel libsndfile-devel libcddb-devel libcdio-devel
BuildRequires: 	xorg-x11-libs pkg-config gcc-c++ libpulse-devel libnotify-devel dbus-1-devel
BuildRequires:	intltool update-desktop-files libzip-devel imlib2-devel libjpeg-devel

%if %{with restricted}
BuildRequires:	libmad-devel libffmpeg_oldabi-devel libfaad-devel
%endif

%description
DeaDBeeF is an audio player for GNU/Linux and other UNIX-like systems.
It is written in C with some plugins in C++. It has minimal dependencies,
a native GTK2 GUI, cuesheet support, support for MP3, Ogg, FLAC, and APE,
chiptune formats with subtunes, song-length databases, and more.
It is very fast and lightweight, and extensible using plugins
(DSP, GUI, output, input, etc.). The GUI looks similar to Foobar2000.

%if %{with restricted}
%package 	restricted-plugins
License:        GPL+ or Artistic
Summary:        Restricted plugins Support for %{name}
Group:          Productivity/Multimedia/Sound/Players
Requires:       %{name} = %{version}

%description restricted-plugins
XMMS2 is an audio framework, but it is not a general multimedia player - it
will not play videos. It has a modular framework and plugin architecture for
audio processing, visualisation and output, but this framework has not been
designed to support video. Also the client-server design of XMMS2 (and the
daemon being independent of any graphics output) practically prevents direct
video output being implemented. It has support for a wide range of audio
formats, which is expandable via plugins. It includes a basic CLI interface
to the XMMS2 framework, but most users will want to install a graphical XMMS2
client (such as gxmms2 or esperanza).
%endif


%package devel
License:        GPLv2
Group:          Development/Libraries/C and C++
Summary:        Devel files for %name
Requires:       pkg-config
Requires:	%name

%description devel
This package provides headers to develop deadbeef plugins

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure --enable-static=no
%__make %{?jobs:-j%{jobs}}

%install
%makeinstall
%suse_update_desktop_file %name
%__rm %buildroot/%_libdir/deadbeef/*.la
%find_lang %name

%clean
%__rm -rf $RPM_BUILD_ROOT

%if 0%{?suse_version} >= 1140
%post
%desktop_database_post
%icon_theme_cache_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%endif

%files -f %name.lang
%defattr(-,root,root)
%_bindir/%name
%dir %_libdir/%name
%_libdir/%name/adplug.so*
%_libdir/%name/alsa.so*
%_libdir/%name/artwork.so*
%_libdir/%name/cdda.so*
%_libdir/%name/ffap.so*
%_libdir/%name/flac.so*
%_libdir/%name/gme.so*
%_libdir/%name/hotkeys.so*
%_libdir/%name/lastfm.so*
%_libdir/%name/notify.so*
%_libdir/%name/nullout.so*
%_libdir/%name/oss.so*
%_libdir/%name/pulse.so*
%_libdir/%name/sid.so*
%_libdir/%name/sndfile.so*
%_libdir/%name/supereq.so*
%_libdir/%name/vfs_curl.so*
%_libdir/%name/vorbis.so*
%_libdir/%name/vtx.so*
%_libdir/%name/wavpack.so*
%_libdir/%name/dca.so*
%_libdir/%name/mms.so*
%_libdir/%name/musepack.so*
%_libdir/%name/shellexec.so*
%_libdir/%name/tta.so*
%_libdir/%name/wildmidi.so*
%_libdir/%name/converter.so*
%_libdir/%name/converter_gtkui.so*
%_libdir/%name/ddb_gui_GTK2.so*
%_libdir/%name/dsp_libsrc.so*
%_libdir/%name/m3u.so*
%_libdir/%name/vfs_zip.so*
%_datadir/%name
%_datadir/applications/deadbeef.desktop
%_datadir/icons/hicolor/*x*/apps/%name.png
%_datadir/icons/hicolor/scalable/apps/%name.svg
%_datadir/doc/%name
%dir %_libdir/%name/convpresets
%_libdir/%name/convpresets/*.txt

%if %{with restricted}
%files restricted-plugins
%defattr(-,root,root,-)
%_libdir/deadbeef/aac.so*
%_libdir/deadbeef/ffmpeg.so*
%_libdir/deadbeef/mpgmad.so*
%endif

%files devel
%defattr(-,root,root)
%_includedir/%name

%changelog
* Sat Jun  4 2011 andrea@opensuse.org
- New upstream version 0.5.1
* Mon May 16 2011 andrea@opensuse.org
- New upstream version 0.5.0
* Mon Mar 14 2011 gber@opensuse.org
- call %%desktop_database_post/un and %%icon_theme_cache_post/un
* Thu Dec  2 2010 gber@opensuse.org
- added deadbeef-0.4.4-fix-undefined-assignments.patch and
  deadbeef-0.4.4-fix-return-value.patch to fix compile warnings
* Wed Dec  1 2010 andrea@opensuse.org
- new upstream version 0.4.4
  - fixed crash in OSS plugin
  - fixed random crashes caused by upgrading to libcurl-7.21.2
  - fixed metadata editing in non-english locales
  - fixed switching playlists using hotkeys with caps/num/xcb
  modifiers
  - made preferences window tabs scrollable
  - fixed dts plugin description
  - fixed 'n' hotkey with numlock
  - improved support for icy (shoutcast) protocol
  - fixed ctrl+j (jump to current track) to work correctly with
  multiple playlists
  - fixed cursor/scroll follows playback to work correctly with
  multiple playlists
  - session resume does not seek anymore after skipping failed track
  - fixed seekbar flickering
  - bundled libmms library to fix freezes after updating to 0.6
  - blank cue tracks (without titles) are not skipped anymore
  - fixed trailing whitespace handling in cuesheets
  - "middle mouse button to delete playlist" is now default behavior
  - fixed few issues with auto-saving playlist configuration
  - fixed playlist redraw after cddb queries
* Fri Jun  4 2010 andrea@opensuse.org
- new upstream version 0.4.1 - bug fix release
* Mon May 24 2010 andrea@opensuse.org
- added deadbeef-0.4.0-fix-critical-warning.patch to make
  brp-checks happy
* Sun May 23 2010 andrea@opensuse.org
- New package
